"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const numberedListExtension = async (blocks) => {
    let start = false;
    let items = [];
    const next = [];
    const pushList = () => {
        next.push({
            type: 'numbered_list',
            numbered_list: items,
        });
        start = false;
        items = [];
    };
    for (const block of blocks) {
        if ('processed' in block && block.processed) {
            next.push(block);
            continue;
        }
        if (block.type === 'numbered_list_item') {
            if (!start)
                start = true;
            items.push({
                ...block,
                processed: true,
            });
        }
        else if (start) {
            pushList();
        }
        else {
            next.push(block);
        }
    }
    if (start)
        pushList();
    return next;
};
exports.default = numberedListExtension;
//# sourceMappingURL=numbered-list.extension.js.map